Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.scheduling.hibernate
Class PersistentReportJobCalendarTrigger

    java.lang.Object
      com.jaspersoft.jasperserver.api.engine.scheduling.hibernate.PersistentReportJobTrigger
          com.jaspersoft.jasperserver.api.engine.scheduling.hibernate.PersistentReportJobCalendarTrigger

    public class PersistentReportJobCalendarTrigger

extends PersistentReportJobTrigger

Version:
  $Id: PersistentReportJobCalendarTrigger.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`PersistentReportJobCalendarTrigger()`

Method Summary
`void` | `copyFrom(ReportJobTrigger trigger)`
`byte` | `getDaysType()`
`java.lang.String` | `getHours()`
`java.lang.String` | `getMinutes()`
`java.lang.String` | `getMonthDays()`
`java.lang.String` | `getMonths()`
`java.lang.String` | `getWeekDays()`
`protected java.util.SortedSet` | `parseEnumerationString(java.lang.String str)`
`void` | `setDaysType(byte daysType)`
`void` | `setHours(java.lang.String hours)`
`void` | `setMinutes(java.lang.String minutes)`
`void` | `setMonthDays(java.lang.String monthDays)`
`void` | `setMonths(java.lang.String months)`
`void` | `setWeekDays(java.lang.String weekDays)`
`boolean` | `supports(java.lang.Class triggerClass)`
`ReportJobTrigger` | `toClient()`
`protected java.lang.String` | `toEnumerationString(java.util.Set vals)`

Methods inherited from class com.jaspersoft.jasperserver.api.engine.scheduling.hibernate.PersistentReportJobTrigger
`copyTo, getEndDate, getId, getStartDate, getStartType, getTimezone, getVersion, isNew, setEndDate, setId, setStartDate, setStartType, setTimezone, setVersion, toTimestamp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistentReportJobCalendarTrigger

    public PersistentReportJobCalendarTrigger()

Method Detail

### getHours

    public java.lang.String getHours()

### setHours

    public void setHours(java.lang.String hours)

### getMinutes

    public java.lang.String getMinutes()

### setMinutes

    public void setMinutes(java.lang.String minutes)

### copyFrom

    public void copyFrom(ReportJobTrigger trigger)

  Overrides:
    `copyFrom` in class `PersistentReportJobTrigger`

### toClient

    public ReportJobTrigger toClient()

  Specified by:
    `toClient` in class `PersistentReportJobTrigger`

### supports

    public boolean supports(java.lang.Class triggerClass)

  Specified by:
    `supports` in class `PersistentReportJobTrigger`

### getDaysType

    public byte getDaysType()

### setDaysType

    public void setDaysType(byte daysType)

### getMonthDays

    public java.lang.String getMonthDays()

### setMonthDays

    public void setMonthDays(java.lang.String monthDays)

### getMonths

    public java.lang.String getMonths()

### setMonths

    public void setMonths(java.lang.String months)

### getWeekDays

    public java.lang.String getWeekDays()

### setWeekDays

    public void setWeekDays(java.lang.String weekDays)

### toEnumerationString

    protected java.lang.String toEnumerationString(java.util.Set vals)

### parseEnumerationString

    protected java.util.SortedSet parseEnumerationString(java.lang.String str)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.